struct jmp_buf { 
	void *p[5];
};

static void jumpaway(struct jmp_buf *ptr)
{
	__builtin_longjmp(ptr ,1);
	abort();
}

int main(void)
{
	struct jmp_buf buf;
	
	if (__builtin_setjmp(&buf) == 0) {
	} else 
		return 0;
	jumpaway(&buf);
	abort();
	return 0;
}
